package com.hzya.frame.plugin.masterData.user.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * 用户档案(MdmUser)实体类
 *
 * @author makejava
 * @since 2024-06-17 14:52:30
 */
public class MdmUserEntity extends BaseEntity {
 
  /**  单据规则 */
   private String documentRule;
  /**  单据规则流水号 */
   private Long documentRuleNum;
  /**  数据状态 Y正常 N删除 F修改 */
   private String dataStatus;
  /**  新增数据状态 0待下发 1已下发 */
   private String addStatus;
  /**  修改数据状态 0待下发 1已下发 */
   private String updateStatus;
  /**  删除数据状态 0待下发 1已下发 */
   private String deleteStatus;
  /**  公司id */
   private String companyId;
  /**  用户名称 */
   private String userName;
  /**  用户编码 */
   private String userCode;
  /**  用户密码 */
   private String userPassword;
  /**  密码安全级别 */
   private String pwdlevelcode;
  /**  密码参数 */
   private String pwdparam;
  /**  备注 */
   private String userNote;
  /**  生效日期 */
   private String abledate;
  /**  失效日期 */
   private String disabledate;
  /**  锁定 */
   private String islocked;
  /**  用户类型 */
   private String userType;
  /**  身份类型 */
   private String baseDocType;
  /**  身份 */
   private String pkBaseDoc;
  /**  认证类型 */
   private String identityverifycode;
  /**  所属组织 */
   private String pkOrg;
  /**  数据格式 */
   private String format;
  /**  CA用户 */
   private String isca;
  /**  启用状态 */
   private String enablestate;
  /**  内容语种 */
   private String contentlang;
  /**  用户编码 */
   private String userCodeQ;


    public String getDocumentRule() {
        return documentRule;
    }

    public void setDocumentRule(String documentRule) {
        this.documentRule = documentRule;
    }

    public Long getDocumentRuleNum() {
        return documentRuleNum;
    }

    public void setDocumentRuleNum(Long documentRuleNum) {
        this.documentRuleNum = documentRuleNum;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getAddStatus() {
        return addStatus;
    }

    public void setAddStatus(String addStatus) {
        this.addStatus = addStatus;
    }

    public String getUpdateStatus() {
        return updateStatus;
    }

    public void setUpdateStatus(String updateStatus) {
        this.updateStatus = updateStatus;
    }

    public String getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(String deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public String getPwdlevelcode() {
        return pwdlevelcode;
    }

    public void setPwdlevelcode(String pwdlevelcode) {
        this.pwdlevelcode = pwdlevelcode;
    }

    public String getPwdparam() {
        return pwdparam;
    }

    public void setPwdparam(String pwdparam) {
        this.pwdparam = pwdparam;
    }

    public String getUserNote() {
        return userNote;
    }

    public void setUserNote(String userNote) {
        this.userNote = userNote;
    }

    public String getAbledate() {
        return abledate;
    }

    public void setAbledate(String abledate) {
        this.abledate = abledate;
    }

    public String getDisabledate() {
        return disabledate;
    }

    public void setDisabledate(String disabledate) {
        this.disabledate = disabledate;
    }

    public String getIslocked() {
        return islocked;
    }

    public void setIslocked(String islocked) {
        this.islocked = islocked;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getBaseDocType() {
        return baseDocType;
    }

    public void setBaseDocType(String baseDocType) {
        this.baseDocType = baseDocType;
    }

    public String getPkBaseDoc() {
        return pkBaseDoc;
    }

    public void setPkBaseDoc(String pkBaseDoc) {
        this.pkBaseDoc = pkBaseDoc;
    }

    public String getIdentityverifycode() {
        return identityverifycode;
    }

    public void setIdentityverifycode(String identityverifycode) {
        this.identityverifycode = identityverifycode;
    }

    public String getPkOrg() {
        return pkOrg;
    }

    public void setPkOrg(String pkOrg) {
        this.pkOrg = pkOrg;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getIsca() {
        return isca;
    }

    public void setIsca(String isca) {
        this.isca = isca;
    }

    public String getEnablestate() {
        return enablestate;
    }

    public void setEnablestate(String enablestate) {
        this.enablestate = enablestate;
    }

    public String getContentlang() {
        return contentlang;
    }

    public void setContentlang(String contentlang) {
        this.contentlang = contentlang;
    }

    public String getUserCodeQ() {
        return userCodeQ;
    }

    public void setUserCodeQ(String userCodeQ) {
        this.userCodeQ = userCodeQ;
    }

}

